| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::BaseClassifier Class Reference
Tracking API

`#include "onlineBoosting.hpp"`

## Public Member Functions
| BaseClassifier (int numWeakClassifier, int iterationInit)
| BaseClassifier (int numWeakClassifier, int iterationInit, WeakClassifierHaarFeature **weakCls)
virtual | ~BaseClassifier ()
int | computeReplaceWeakestClassifier (const std::vector< float > &errors)
int | eval (const Mat &image)
float | getError (int curWeakClassifier)
void | getErrors (float *errors)
int | getIdxOfNewWeakClassifier ()
WeakClassifierHaarFeature ** | getReferenceWeakClassifier ()
int | getSelectedClassifier () const
void | replaceClassifierStatistic (int sourceIndex, int targetIndex)
void | replaceWeakClassifier (int index)
int | selectBestClassifier (std::vector< bool > &errorMask, float importance, std::vector< float > &errors)
void | trainClassifier (const Mat &image, int target, float importance, std::vector< bool > &errorMask)

## Protected Member Functions
void | generateRandomClassifier ()

## Protected Attributes
int | m_idxOfNewWeakClassifier
int | m_iterationInit
int | m_numWeakClassifier
bool | m_referenceWeakClassifier
int | m_selectedClassifier
std::vector< float > | m_wCorrect
std::vector< float > | m_wWrong
WeakClassifierHaarFeature ** | weakClassifier

## Constructor & Destructor Documentation

## § BaseClassifier() [1/2]

cv::BaseClassifier::BaseClassifier | ( | int | numWeakClassifier,
|  | int | iterationInit
| ) |  |

## § BaseClassifier() [2/2]

cv::BaseClassifier::BaseClassifier | ( | int | numWeakClassifier,
|  | int | iterationInit,
|  | WeakClassifierHaarFeature ** | weakCls
| ) |  |

## § ~BaseClassifier()

virtual cv::BaseClassifier::~BaseClassifier | ( |  | ) |
| virtual

## Member Function Documentation

## § computeReplaceWeakestClassifier()

int cv::BaseClassifier::computeReplaceWeakestClassifier | ( | const std::vector< float > & | errors | ) |

## § eval()

int cv::BaseClassifier::eval | ( | const Mat & | image | ) |

## § generateRandomClassifier()

void cv::BaseClassifier::generateRandomClassifier | ( |  | ) |
| protected

## § getError()

float cv::BaseClassifier::getError | ( | int | curWeakClassifier | ) |

## § getErrors()

void cv::BaseClassifier::getErrors | ( | float * | errors | ) |

## § getIdxOfNewWeakClassifier()

int cv::BaseClassifier::getIdxOfNewWeakClassifier | ( |  | ) |
| inline

## § getReferenceWeakClassifier()

WeakClassifierHaarFeature** cv::BaseClassifier::getReferenceWeakClassifier | ( |  | ) |
| inline

## § getSelectedClassifier()

int cv::BaseClassifier::getSelectedClassifier | ( |  | ) | const

## § replaceClassifierStatistic()

void cv::BaseClassifier::replaceClassifierStatistic | ( | int | sourceIndex,
|  | int | targetIndex
| ) |  |

## § replaceWeakClassifier()

void cv::BaseClassifier::replaceWeakClassifier | ( | int | index | ) |

## § selectBestClassifier()

int cv::BaseClassifier::selectBestClassifier | ( | std::vector< bool > & | errorMask,
|  | float | importance,
|  | std::vector< float > & | errors
| ) |  |

## § trainClassifier()

void cv::BaseClassifier::trainClassifier | ( | const Mat & | image,
|  | int | target,
|  | float | importance,
|  | std::vector< bool > & | errorMask
| ) |  |

## Member Data Documentation

## § m_idxOfNewWeakClassifier

int cv::BaseClassifier::m_idxOfNewWeakClassifier
| protected

## § m_iterationInit

int cv::BaseClassifier::m_iterationInit
| protected

## § m_numWeakClassifier

int cv::BaseClassifier::m_numWeakClassifier
| protected

## § m_referenceWeakClassifier

bool cv::BaseClassifier::m_referenceWeakClassifier
| protected

## § m_selectedClassifier

int cv::BaseClassifier::m_selectedClassifier
| protected

## § m_wCorrect

std::vector<float> cv::BaseClassifier::m_wCorrect
| protected

## § m_wWrong

std::vector<float> cv::BaseClassifier::m_wWrong
| protected

## § weakClassifier

WeakClassifierHaarFeature** cv::BaseClassifier::weakClassifier
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/onlineBoosting.hpp